Name:           cockpit-image-builder
Version:        62
Release:        1.20250307075936625774.pr2903.18.g5c9d8569%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-63.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Fri Mar 7 2025 Packit <hello@packit.dev> - 62-1.20250307075936625774.pr2903.18.g5c9d8569
- Wizard: Swap release select (regexowl)
- Wizard: Swap FSC selects for non-deprecated version (regexowl)
- Wizard: Swap arch select (regexowl)
- build(deps-dev): bump copy-webpack-plugin from 12.0.2 to 13.0.0 (dependabot[bot])
- test: Add test for unselecting selected package (Adam Kankovsky)
- Wizard: Edit to keep the last removed package among the selected ones (Adam Kankovsky)
- store/cockpitApi: correct getBlueprint's cache tags (Sanne Raymaekers)
- schutzbot/terraform: updated runners (Sanne Raymaekers)
- schutzbot: fix uploading artifacts (Sanne Raymaekers)
- schutzbot: fix updating github status (Sanne Raymaekers)
- schutzbot: save journal as artifact (Sanne Raymaekers)
- schutzbots: fix rpm install (Sanne Raymaekers)
- .gitlab-ci.yml: fix runner matrix (Sanne Raymaekers)
- Post release version bump (schutzbot)
- Wizard: Add validation to Timezone select (regexowl)
- Wizard: Refactor HookValidatedInput component (Michal Gold)
- Wizard: Rename `ChippingInput` to `LabelInput` (regexowl)
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
